Upgrade Guide 2.5.7

Who should upgrade?

Confluence 2.5.7 is a recommended upgrade that resolves two issues you may have encountered in Confluence 2.5.6:

  • Indexing errors claiming 'too many open files', caused by duplicate libraries in the Confluence web application.
  • Caching should be enabled by default for the LDAP configuration in atlassian-user.xml.

Confluence 2.5.7 can be downloaded from http://www.atlassian.com/software/confluence/ConfluenceDownloadCenter.jspa, and is a free upgrade for all customers who purchased their Confluence license or maintenance renewal after 30 August 2006.

If you are running a release older than 2.5 and you want to upgrade, you should upgrade directly to 2.5.7. Refer to the upgrade procedure below.

Upgrade Procedure

Upgrading Confluence should be fairly straightforward. We strongly recommend that you backup your confluence.home directory and database before upgrading!

If you are upgrading from Confluence 2.2.x or a later version, please use the Confluence Upgrade Instructions.

If you are upgrading directly from 2.1 or earlier, you should also read the 2.2 Release Notes for warnings about the 2.1 -> 2.2 upgrade.

Was this helpful?

Thanks for your feedback!

Why was this unhelpful?

Have a question about this article?

See questions about this article

Powered by Confluence and Scroll Viewport